Subject: Re: bug#10677: [Chris Leyon] Re: bug#10677: 24.0.93; missing pathmax.h on Solaris

From: Chris Leyon <[email-masked]>
Date: Sat, 3 Mar 2012 12:07:47 -0500

On Fri, Mar 2, 2012 at 22:29, Paul Eggert <[email-masked]> wrote:
> Thanks for diagnosing the problem.  The ncurses 'configure' stuff
> changed recently, and it continues to be a mess (with comments
> indicating that it's a mess, sigh) [...]

Paul, your patch to configure.in worked on Solaris.  The new configure
script detected -ltermcap for tputs, ncurses was not referenced at all
on the linklines, and the pointer sizes were successfully detected.
There were no errors encountered during compilation (there were some
warnings, of course), but an executable was created which runs fine.
Thanks for all your help in fixing this problem.

And now I would like to report an incompatible change to the Lisp
reader which I did not see documented in etc/NEWS but might be worth
mentioning (or fixing).  In Emacs 23, the following syntax for
specifying the key C-, is accepted:
  (global-set-key [(control ,)] 'my-command)
In Emacs 24, this generates an error: "Invalid read syntax: )"